package com.bomostory.sceneeditmodule.screen.view

import android.content.Context
import android.graphics.drawable.Drawable
import android.util.AttributeSet
import android.widget.ImageView
import com.bomostory.sceneeditmodule.basicdata.Actor
import com.bomostory.sceneeditmodule.basicdata.Dialogue

class ActorView : ImageView {
    var actor: Actor? = null
        set(value) {
            value?.let {
                when (it is Dialogue){
                    true -> {
                        val dialogue =it as Dialogue
                        setImageResource(dialogue.resource)
                    }
                    false -> setImageDrawable(Drawable.createFromPath(it.resourcePath))
                }
            }
        }

    constructor(context: Context) : super(context)

    constructor(context: Context, attrs: AttributeSet) : super(context, attrs)

    constructor(context: Context, attrs: AttributeSet, defStyle: Int) : super(context, attrs, defStyle)

}